Welcome to EDAboard.com

Welcome to our site! EDAboard.com is an international Electronics Discussion Forum focused on EDA software, circuits, schematics, books, theory, papers, asic, pld, 8051, DSP, Network, RF, Analog Design, PCB, Service Manuals... and a whole lot more! To participate you need to register. Registration is free. Click here to register now.

Problem with connecting to Internet using GlobeSpanVirata PCI ADSL WAN on Linux

Status
Not open for further replies.

Deathlich

Newbie level 6
Joined
Oct 11, 2006
Messages
14
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,405
Hello all, I have GlobeSpanVirata PCI ADSL WAN, and i cannot connect to internet via linux ( I have fedora core 6), also i tried to search in the company site, also didnt find, anyone to help me

thnx in advance
 

III

Full Member level 5
Joined
Feb 10, 2006
Messages
309
Helped
41
Reputation
82
Reaction score
3
Trophy points
1,298
Location
Macedonia
Activity points
3,353
Modem drivers

Well Linux never really supported 56k pci modems, and if this is a pci dsl modem I don't believe you'll find drivers for it :(
 

Deathlich

Newbie level 6
Joined
Oct 11, 2006
Messages
14
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,405
Re: Modem drivers

you sure about this? well i think ill buy a usb modem:cry:
 

156845

Newbie level 1
Joined
Mar 12, 2007
Messages
1
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,284
Re: Modem drivers

Hello!
you can use standart linux modem driver as driver who you wont to use
 

III

Full Member level 5
Joined
Feb 10, 2006
Messages
309
Helped
41
Reputation
82
Reaction score
3
Trophy points
1,298
Location
Macedonia
Activity points
3,353
Re: Modem drivers

156845 said:
Hello!
you can use standart linux modem driver as driver who you wont to use
What are you saying ? I don't understand ?
The use of a pci modem means that the processing eg. coding and decoding is done by the processor. And that needs an extra kernell module or what is known as a linux driver. You can not use a generic driver on eny Linux system, and by the way how would you do it ? What you need is a specific driver developed by the chipset manifacturer and/or the hardware manufacturer :)
 

Deathlich

Newbie level 6
Joined
Oct 11, 2006
Messages
14
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,405
Re: Modem drivers

III said:
156845 said:
Hello!
you can use standart linux modem driver as driver who you wont to use
What are you saying ? I don't understand ?
The use of a pci modem means that the processing eg. coding and decoding is done by the processor. And that needs an extra kernell module or what is known as a linux driver. You can not use a generic driver on eny Linux system, and by the way how would you do it ? What you need is a specific driver developed by the chipset manifacturer and/or the hardware manufacturer :)

III speaks the truth, anyway, globespan merged with Conexant.
i have found this link hope it will help:
file:///C:/Program%20Files/eMule/Incoming/Linux%20drivers%20for%20Conexant%20Chips%20-%20Modem%20chipset%20identification.htm
 

another_gradstudent

Newbie level 2
Joined
Mar 12, 2007
Messages
2
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,291
Re: Modem drivers

Hi, just a related post : did any one have any success under linux with the modem that is shipped with the ibm t30 thinkpad ? from the output of lspci I am enlightened that my modem is an "Intel Corporation 82801CA/CAM AC'97 Modem Controller (rev 02)"
I've tried a number of modem drivers from the linmodem side but none of them seem to work.
I'm running suse 10.1 with a 2.6.16.13-4-smp kernel.
The other question that I would like to ask is which external modem would you suggest if a notebook's internal modem does not work ?

Cheers
 

Deathlich

Newbie level 6
Joined
Oct 11, 2006
Messages
14
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,405
Re: Modem drivers

hello again, using modemscanner i got this

10b9:5459 10a5:5459 Modem: ALi Corporation SmartLink SmartPCI561 56K

i am not pro in these things, do i have to install drivers with the same number"PCI561" or any number works?, or could you give me a link to download such a driver, thnx all
 

III

Full Member level 5
Joined
Feb 10, 2006
Messages
309
Helped
41
Reputation
82
Reaction score
3
Trophy points
1,298
Location
Macedonia
Activity points
3,353
Modem drivers

Go to h**p://linmodems.technion.ac.il/,
download the scipt scanmodem h**p://linmodems.technion.ac.il/packages/scanModem.gz
execute it and write down the information,
finaly go to
h**p://linmodems.technion.ac.il/packages/ and download the apropriate packages
 

    Deathlich

    Points: 2
    Helpful Answer Positive Rating

Deathlich

Newbie level 6
Joined
Oct 11, 2006
Messages
14
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,405
Re: Modem drivers

-Kernel Vesrion:-
2.6.18-1.2798.fc6

-gcc version:-

gcc version 4.1.1 20061011 (Red Hat 4.1.1-30)

-binutils version:-

GNU ld version 2.17.50.0.3-6 20060715


And I always got this erroe for each "make" command"

[root@********* linux-atm-2.4.0]# make

make all-recursive
make[1]: Entering directory `/home/bdair2002/linux-atm-2.4.0'

Making all in m4
make[2]: Entering directory `/home/bdair2002/linux-atm-2.4.0/m4'

make[2]: Nothing to be done for `all'.

make[2]: Leaving directory `/home/bdair2002/linux-atm-2.4.0/m4'

Making all in src
make[2]: Entering directory `/home/bdair2002/linux-atm-2.4.0/src'
Making all in include
make[3]: Entering directory `/home/bdair2002/linux-atm-2.4.0/src/include'
make[3]: Nothing to be done for `all'.

make[3]: Leaving directory `/home/bdair2002/linux-atm-2.4.0/src/include'

Making all in lib
make[3]: Entering directory `/home/bdair2002/linux-atm-2.4.0/src/lib'
/bin/sh ../../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../../src/include -g -O2 -Wall -Wshadow -Wpointer-arith -Wwrite-strings -Wstrict-prototypes -c sapequal.c
rm -f .libs/sapequal.lo
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../../src/include -g -O2 -Wall -Wshadow -Wpointer-arith -Wwrite-strings -Wstrict-prototypes -c sapequal.c -fPIC -DPIC -o .libs/sapequal.lo
In file included from sapequal.c:12:
../../src/include/atm.h:11:23: error: linux/atm.h: No such file or directory
In file included from sapequal.c:12:
../../src/include/atm.h:97:
warning: 'struct atm_qos' declared inside parameter list
../../src/include/atm.h:97: warning: its scope is only this definition or declaration, which is probably not what you want
../../src/include/atm.h:98:
warning: 'struct atm_qos' declared inside parameter list
../../src/include/atm.h:99:
warning: 'struct atm_qos' declared inside parameter list
../../src/include/atm.h:101: warning: 'struct atm_sap' declared inside parameter list
../../src/include/atm.h:102:
warning: 'struct atm_sap' declared inside parameter list
../../src/include/atm.h:103: warning: 'struct atm_sap' declared inside parameter list
sapequal.c: In function 'match_blli':
sapequal.c:68:
error: label at end of compound statement
sapequal.c:86:
error: label at end of compound statement
sapequal.c: At top level:
sapequal.c:123: error: conflicting types for 'sap_equal'
../../src/include/atm.h:103:
error: previous declaration of 'sap_equal' was here
make[3]: *** [sapequal.lo]
Error 1
make[3]: Leaving directory `/home/bdair2002/linux-atm-2.4.0/src/lib'

make[2]:*** [all-recursive] Error 1

make[2]: Leaving directory `/home/bdair2002/linux-atm-2.4.0/src'
make[1]: *** [all-recursive] Error 1

make[1]: Leaving directory `/home/bdair2002/linux-atm-2.4.0'

make: *** [all-recursive-am] Error 2





The same error I got for make install, some ppl told me to download
"ungrab_winmodem.tar" from https://linmodems.technion.ac.il/packages/smartlink/

still the same error. The problem is I cant dowload anything, or doing any "make" or "make install" command to any file, Can anyone help me plz.

thnx in advance
 

III

Full Member level 5
Joined
Feb 10, 2006
Messages
309
Helped
41
Reputation
82
Reaction score
3
Trophy points
1,298
Location
Macedonia
Activity points
3,353
Modem drivers

What modem are U compileing ?
Version of the modem x.y.z and verson of the kernel it was writtern ageinst?
Eny way looka at these packages:
https://linmodems.technion.ac.il/packages/smartlink/SLMODEMD.gcc3.tar.gz
https://linmodems.technion.ac.il/packages/smartlink/SLMODEMD.gcc4.1.tar.gz
As you can notice from the name of the files the build of the modems depend on the version of gcc you have installed.
I remember I couldn't build eny nvidia driver with the 4 series of gcc even tho the kernel itsealf was build with 4 series of gcc ;)
 

Deathlich

Newbie level 6
Joined
Oct 11, 2006
Messages
14
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,405
Re: Modem drivers

my modem is PCI smartlink

I am using patrick installation help
https://patrick.spacesurfer.com/linux_conexant_pci_adsl.html

this is not the problem, i think the problem comes from kernel, when searching on Google, ppl saying you have to update your kernel by using these commands

cd /usr/include
mv linux linux.orig
ln -s /usr/src/linux-2.4.24/include/linux linux

or
mv /usr/include/linux/atm.h /usr/include/linux/atm.h.bak
cp include/linux/atm.h /usr/include/linux/atm.h

but never worked for me, actually i think i destroyed my kernel :p
 

III

Full Member level 5
Joined
Feb 10, 2006
Messages
309
Helped
41
Reputation
82
Reaction score
3
Trophy points
1,298
Location
Macedonia
Activity points
3,353
Modem drivers

cd /usr/include
mv linux linux.orig
ln -s /usr/src/linux-2.4.24/include/linux linux
this is strange and unnessary this is for the 2.4 kernel version and as you sayd your kernel is "2.6.18-1.2798.fc6". Reread what you've found and if this makefile is simular to the one I had firs do:
$make check
and read all unsatisfied dependencies
 

Status
Not open for further replies.

Similar threads

Part and Inventory Search

Welcome to EDABoard.com

Sponsor

Top